Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.dom
Interface ByDocumentIterator

public interface ByDocumentIterator

Method Summary
`boolean` | `hasNextNode()`
`void` | `nextDocument(DocumentImpl document)`
`NodeProxy` | `nextNode()`
`NodeProxy` | `peekNode()`
`void` | `setPosition(NodeProxy node)`

Method Detail

### nextDocument

    public void nextDocument(DocumentImpl document)

### hasNextNode

    public boolean hasNextNode()

### nextNode

    public NodeProxy nextNode()

### peekNode

    public NodeProxy peekNode()

### setPosition

    public void setPosition(NodeProxy node)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.